#
# spec file for package python-tasklib
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-tasklib
Version:        2.5.1
Release:        2.3
Summary:        Python Task Warrior library
License:        BSD-3-Clause
URL:            https://github.com/robgolding/tasklib
Source:         https://files.pythonhosted.org/packages/source/t/tasklib/tasklib-%{version}.tar.gz
Patch0:         disable-windows-test.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module tzlocal}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  taskwarrior >= 2.4.0
Requires:       python-pytz
Requires:       python-tzlocal
Requires:       taskwarrior >= 2.4.0
BuildArch:      noarch
%python_subpackages

%description
Tasklib is a Python library for interacting with taskwarrior
databases, using a queryset API similar to that of Django's ORM.

%prep
%autosetup -p1 -n tasklib-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG="en_US.UTF8"
%python_exec -m unittest discover -v

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/tasklib
%{python_sitelib}/tasklib-%{version}.dist-info

%changelog
* Fri Feb 23 2024 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject and autosetup macros.
- No more greedy globs in %%files.
* Mon Dec  5 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 2.5.1
  * Support for zoneinfo and comparison operators for TaskUUIDSets
* Wed Oct 12 2022 Dirk Müller <dmueller@suse.com>
- drop six (unused)
* Wed Feb  2 2022 Steve Kowalik <steven.kowalik@suse.com>
- Update to 2.4.3:
  * Support for Taskwarrior 2.6
  * Support for tzlocal>=3.0
  * Official support for Python 3.9 in the test matrix
- Rewrite disable-windows-test.patch to be suitable for upstream
* Fri Apr  9 2021 Steve Kowalik <steven.kowalik@suse.com>
- Update to 2.3.0:
  * No upstream changelog
* Wed Mar 11 2020 pgajdos@suse.com
- version update to 2.1.1
  * no upstream changelog found
* Mon Dec  2 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix up all the dependencies and enable testing
- Add patch disabling one test that is specific to windows only:
  * disable-windows-test.patch
* Tue Nov 26 2019 Martin Herkt <9+suse@cirno.systems>
- init, 1.3.0
